package com.lantone.dblayermbg;

/**
 * @ClassName: CodeAutoGenerator
 * @Description:
 * @Author songxl
 * @Date 2021/6/28
 * @Version 1.0
 */
public class CodeAutoGenerator {

    /**
     * 初次生成：entity.java、mapper.java、mapper.xml、baseMapper.xml、service.java、serviceImpl.java、facade.java
     * 再次生成：entity.java、baseMapper.xml、service.java、serviceImpl.java
     *
     * @param args
     */
    public static void main(String[] args) {
        securityCenter();
    }

    /**
     * security-center模块
     */
    private static void securityCenter() {
        //模块名称
        String moduleName_ = "security-center";
        //父包名路径(文件输出路径,也是导包的路径)
        String parentPackagePath_ = "/com/lantone/security";
        //生成文件父类包package
        String packageName_ = "com.lantone.security";

        //数据库
        String username = "root";
        String password = "lantone";
        String url = "jdbc:mysql://192.168.2.237:3306/emrais?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8";

        //表名
        String[] TABLES = {
                "sys_abnormal_log",
                "sys_data_auth",
                "sys_data_auth_detail",
                "sys_dept",
                "sys_dept_doctor",
                "sys_dept_medoup",
                "sys_dictionary_info",
                "sys_doctor",
                "sys_hospital",
                "sys_hospital_set",
                "sys_hospital_user",
                "sys_login_log",
                "sys_medoup",
                "sys_medoup_doctor",
                "sys_menu",
                "sys_menu_resource",
                "sys_operation_log",
                "sys_region",
                "sys_region_dept",
                "sys_resource",
                "sys_role",
                "sys_role_software",
                "sys_role_software_data_auth",
                "sys_role_software_menu",
                "sys_role_software_resource",
                "sys_software",
                "sys_software_data_auth",
                "sys_software_menu",
                "sys_software_resource",
                "sys_user",
                "sys_user_role",
                "sys_dept_user",
                "sys_notice",
                "sys_notice_user"
        };
        //生成的实体类忽略表前缀: 不需要则置空
        String[] ENTITY_IGNORE_PREFIX = { "sys_" };

        GeneratorUtil.create(moduleName_, parentPackagePath_, packageName_, username, password, url, TABLES, ENTITY_IGNORE_PREFIX);
    }

}