package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医生表
 * </p>
 */
@Data
public class GetDoctorPageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;
    @ApiModelProperty(value = "医院编号")
    private Long hospitalId;
    @ApiModelProperty(value = "科室编号")
    private Long deptId;
    @ApiModelProperty(value = "医院名称")
    private String hospitalName;
    @ApiModelProperty(value = "科室名称")
    private String deptName;
    @ApiModelProperty(value = "医生姓名")
    private String name;
    @ApiModelProperty(value = "手机号")
    private String mobilePhone;
    @ApiModelProperty(value = "已关联未关联")
    private String relation;

}
