package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 显示菜单功能DTO
 * </p>
 */
@Data
public class GetUserShowTreeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "系统编号")
    private Long softwareId;
    @ApiModelProperty(value = "菜单编号")
    private Long menuId;
    @ApiModelProperty(value = "父级菜单编号")
    private Long parentId;
    @ApiModelProperty(value = "菜单名称")
    private String menuName;
    @ApiModelProperty(value = "类型：0:目录，1菜单，2按钮，3：功能")
    private String menuType ;
    @ApiModelProperty(value = "权限标识")
    private String code ;
    @ApiModelProperty(value = "子集")
    private List<GetUserShowTreeDTO> children;
}
