package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.security.dto.GetMenuByIdDTO;
import com.lantone.security.entity.Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_menu Mapper接口
 * </p>
 */
public interface MenuMapper extends BaseMapper<Menu> {

    GetMenuByIdDTO getMenuById(@Param("id") Long id,@Param("softwareId") Long softwareId);

    List<Long> getChildMenus(@Param("id")Long id,@Param("status") String selectStatus);
}