package com.lantone.security.component;

import com.lantone.security.facade.base.DictionaryInfoFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @Description: 系统字典信息操作组件
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Component
public class DictionaryHolder {

    @Autowired
    private DictionaryInfoFacade dictionaryInfoFacade;

    /**
     * 预加载所有系统字典信息
     */
    @PostConstruct
    public void initDicMap() {
        dictionaryInfoFacade.initDicMap();
    }

}