package com.lantone.security.component;

import com.lantone.security.facade.base.DataAuthFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @Description: 用户的数据权限操作组件
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Component
public class UserDataAuthHolder {

    @Autowired
    private DataAuthFacade dataAuthFacade;

    /**
     * 预加载所有用户的数据权限
     */
    @PostConstruct
    public void initUserDataAuth() {
        dataAuthFacade.initUserDataAuth();
    }

}