package com.lantone.security.vo;

import com.lantone.common.vo.base.BasePageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description:获取我的通知对象
 * @Author songxl
 * @Date 2021/9/10
 */
@Data
public class GetMyNoticeListVO extends BasePageVo {

    @ApiModelProperty(value = "我的通知组织id" ,hidden = true)
    private Long hospitalId;
    @ApiModelProperty(value = "我的通知用户id" ,hidden = true)
    private Long id;
    @ApiModelProperty(value = "通知类型 0:公告，1:其他")
    private String type;
    @ApiModelProperty(value = "阅读状态 0:未读，1:已读")
    private String status;
}
